/* login.js - script for login pages */

var Login = function() {

    // Function for switching form views (login, reminder and register forms)
    var switchView = function(viewHide, viewShow, viewHash){
        viewHide.slideUp(250);
        viewShow.slideDown(250, function(){
            $('input').placeholder();
        });

        if ( viewHash ) {
            window.location = '#' + viewHash;
        } else {
            window.location = '#';
        }
    };

    return {
        init: function() {
            
            /* Switch Login, Reminder and Register form views */
            var formLogin           = $('#form-login'),
                formReset           = $('#form-reset'),
                formRegister        = $('#form-register'),
                formLoggedIn        = $('#form-loggedin'),
                formUserProfile     = $('#form-userprofile'),
                formEditUser        = $('#form-edituser'),
                formActivate        = $('#form-activate'),
                linkRegisterLogin   = $('#link-register-login'),
                linkLoginRegister   = $('#link-login-register'),
                linkReset           = $('#link-reset'),
                linkLoggedIn        = $('#link-logged-in'),
                linkUserProfile     = $('#link-user-profile'),
                linkEditUser        = $('#link-edit-user');
        
        formRegister.hide();
        formReset.hide();
        linkLoginRegister.hide();
        linkLoggedIn.hide();
        formEditUser.hide();
        formUserProfile.hide();
        formActivate.hide();

            $('#link-register-login').click(function(){
                switchView(formLogin, formRegister, 'register');
                linkReset.hide("slow");
                linkLoginRegister.show();
                $('#link-register-login').animate({
                height: "toggle"
                }, "slow");
            });

            $('#link-reset').click(function(){
                switchView(formLogin, formReset, 'reset');
                linkRegisterLogin.hide();
                linkLoginRegister.show();
                linkReset.hide();
            });
            
            $('#link-login-register').click(function(){
                switchView(formRegister, formLogin, '');
                linkReset.show("slow");
                linkLoginRegister.hide();
                linkRegisterLogin.show();
                formReset.hide();
            });
            
            $('#link-logged-in').click(function(){
                switchView(formEditUser, formLoggedIn, '');
                linkLoggedIn.hide();
            });
            
            $('#link-user-profile').click(function(){
                switchView(formLoggedIn, formUserProfile, '');
            });
            
            $('#link-edit-user').click(function(){
                switchView(formUserProfile, formEditUser, '');
                linkLoggedIn.show("show");
            });
            
            
            // If the link includes the hashtag 'register', show the register form instead of login
            if (window.location.hash === '#register') {
                formRegister.show();
                formLogin.hide();
                formReset.hide();
                linkReset.hide();
                linkRegisterLogin.hide();
                linkLoginRegister.show();
            }

            // If the link includes the hashtag 'reminder', show the reminder form instead of login
            if (window.location.hash === '#reset') {
                formLogin.hide();
                formReset.show();
                linkReset.hide();
                linkRegisterLogin.hide();
                linkLoginRegister.show();
            }
            
            // If the link includes the hashtag 'activate', show the activate procedure
            if (window.location.hash === '#activate') {
                formLogin.hide();
                formActivate.show();
                formReset.hide();
                formRegister.hide();
                linkReset.hide();
                linkRegisterLogin.hide();
                linkLoginRegister.hide();
            }
            
            // If the link includes the hashtag 'link-edit-user', show the edit-user form
            if (window.location.hash === '#link-edit-user') {
                formLoggedIn.hide();
                formEditUser.show();
		linkLoggedIn.show("show");
            }
          
        }
    };
}();

/* HTML5 Placeholder jQuery Plugin - v2.1.2
 * Copyright (c)2015 Mathias Bynens
 * 2015-06-09
 */
!function(a){"function"==typeof define&&define.amd?define(["jquery"],a):a("object"==typeof module&&module.exports?require("jquery"):jQuery)}(function(a){function b(b){var c={},d=/^jQuery\d+$/;return a.each(b.attributes,function(a,b){b.specified&&!d.test(b.name)&&(c[b.name]=b.value)}),c}function c(b,c){var d=this,f=a(d);if(d.value==f.attr("placeholder")&&f.hasClass(m.customClass))if(f.data("placeholder-password")){if(f=f.hide().nextAll('input[type="password"]:first').show().attr("id",f.removeAttr("id").data("placeholder-id")),b===!0)return f[0].value=c;f.focus()}else d.value="",f.removeClass(m.customClass),d==e()&&d.select()}function d(){var d,e=this,f=a(e),g=this.id;if(""===e.value){if("password"===e.type){if(!f.data("placeholder-textinput")){try{d=f.clone().prop({type:"text"})}catch(h){d=a("<input>").attr(a.extend(b(this),{type:"text"}))}d.removeAttr("name").data({"placeholder-password":f,"placeholder-id":g}).bind("focus.placeholder",c),f.data({"placeholder-textinput":d,"placeholder-id":g}).before(d)}f=f.removeAttr("id").hide().prevAll('input[type="text"]:first').attr("id",g).show()}f.addClass(m.customClass),f[0].value=f.attr("placeholder")}else f.removeClass(m.customClass)}function e(){try{return document.activeElement}catch(a){}}var f,g,h="[object OperaMini]"==Object.prototype.toString.call(window.operamini),i="placeholder"in document.createElement("input")&&!h,j="placeholder"in document.createElement("textarea")&&!h,k=a.valHooks,l=a.propHooks;if(i&&j)g=a.fn.placeholder=function(){return this},g.input=g.textarea=!0;else{var m={};g=a.fn.placeholder=function(b){var e={customClass:"placeholder"};m=a.extend({},e,b);var f=this;return f.filter((i?"textarea":":input")+"[placeholder]").not("."+m.customClass).bind({"focus.placeholder":c,"blur.placeholder":d}).data("placeholder-enabled",!0).trigger("blur.placeholder"),f},g.input=i,g.textarea=j,f={get:function(b){var c=a(b),d=c.data("placeholder-password");return d?d[0].value:c.data("placeholder-enabled")&&c.hasClass(m.customClass)?"":b.value},set:function(b,f){var g=a(b),h=g.data("placeholder-password");return h?h[0].value=f:g.data("placeholder-enabled")?(""===f?(b.value=f,b!=e()&&d.call(b)):g.hasClass(m.customClass)?c.call(b,!0,f)||(b.value=f):b.value=f,g):b.value=f}},i||(k.input=f,l.value=f),j||(k.textarea=f,l.value=f),a(function(){a(document).delegate("form","submit.placeholder",function(){var b=a("."+m.customClass,this).each(c);setTimeout(function(){b.each(d)},10)})}),a(window).bind("beforeunload.placeholder",function(){a("."+m.customClass).each(function(){this.value=""})})}});